backend_db {dplyr} | R Documentation

## Database generics.

### Description

These generics execute actions on the database. All generics have a method for `DBIConnection` which typically just call the standard DBI S4 method.

### Usage

    db_list_tables(con)

    db_has_table(con, table)

    db_data_type(con, fields)

    db_save_query(con, sql, name, temporary = TRUE, ...)

    db_begin(con, ...)

    db_commit(con, ...)

    db_rollback(con, ...)

    db_create_table(con, table, types, temporary = FALSE, ...)

    db_insert_into(con, table, values, ...)

    db_create_index(con, table, columns, name = NULL, ...)

    db_drop_table(con, table, force = FALSE, ...)

    db_analyze(con, table, ...)

    db_explain(con, sql, ...)

    db_query_fields(con, sql, ...)

    db_query_rows(con, sql, ...)

### Arguments

`con` | A database connection.
`table` | A string, the table name.
`fields` | A list of fields, as in a data frame.

### Value

A logical value indicating success. Most failures should generate an error.

### copy_to

Currently, the only user of `sql_begin()`, `sql_commit()`, `sql_rollback()`, `sql_create_table()`, `sql_insert_into()`, `sql_create_indexes()`, `sql_drop_table()` and `sql_analyze()`. If you find yourself overriding many of these functions it may suggest that you should just override `copy_to` instead.

[Package dplyr version 0.4.3 Index]